Name:          virtualgl
Version:       2.5.2
Release:       1mamba
Summary:       Redirects 3D commands from a Unix/Linux OpenGL application onto a server-side 3D graphics card
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.virtualgl.org/
Source:        http://downloads.sourceforge.net/project/virtualgl/%{version}/VirtualGL-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
## AUTOBUILDREQ-END
BuildRequires: libjpeg-turbo-static
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
VirtualGL redirects 3D commands from a Unix/Linux OpenGL application onto a server-side 3D graphics card and converts the rendered 3D images into a video stream with which remote clients can interact to view and control the 3D application in real time.

%debug_package

%package demos
Summary:       Demos for %{name}
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description demos
Demos for %{name}.

%prep
%setup -q -n VirtualGL-%{version}

%build
%cmake -d build \
   -DTJPEG_LIBRARY=%{_libdir}/libturbojpeg.a \
   -DVGL_DOCDIR=%{_docdir}/%{name} \
   -DVGL_LIBDIR=%{_libdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/vglclient
%{_bindir}/vglconfig
%{_bindir}/vglconnect
%{_bindir}/vglgenkey
%{_bindir}/vgllogin
%{_bindir}/vglrun
%{_bindir}/.vglrun.vars*
%{_bindir}/vglserver_config
%dir %{_docdir}/VirtualGL
%{_docdir}/VirtualGL/*
#%{_prefix}/fakelib/libGL.so
%{_includedir}/rr.h
%{_includedir}/rrtransport.h
%{_libdir}/libvglfaker-nodl.so
%{_libdir}/libvglfaker.so
%{_libdir}/libdlfaker.so
%{_libdir}/libgefaker.so
#%{_libdir}/librrfaker.so

%files demos
%defattr(-,root,root)
%{_bindir}/cpustat
%{_bindir}/glreadtest
%{_bindir}/glxinfo
%{_bindir}/glxspheres*
%{_bindir}/nettest
%{_bindir}/tcbench

%changelog
* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-1mamba
- update to 2.4

* Fri Jan 03 2014 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Fri Jul 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- package created by autospec
